package com.bonus.canteen.core.customer.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@LeNiuDecryptDataProcess
@Data
public class CustAccTempVo {
   @ApiModelProperty("主键自增")
   private Long id;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("人员限制id")
   private Integer custLimitId;
   @ApiModelProperty("手机号")
   @LeNiuDecryptField
   private String mobile;
   @ApiModelProperty("身份证号")
   @LeNiuDecryptField
   private String idCard;
   @ApiModelProperty("性别 1-男 2-女")
   private Integer sex;
   @ApiModelProperty("年龄")
   private Integer age;
   @ApiModelProperty("生日")
   private LocalDate birthday;
   @ApiModelProperty("人脸照片地址")
   private String custPhotoUrl;
   @ApiModelProperty("所属组织id")
   private Long orgId;
   @ApiModelProperty("机构编号(商户自定义)")
   private String orgNum;
   @ApiModelProperty("机构全称")
   private String orgFullName;
   @ApiModelProperty("所属位置")
   private Long placeId;
   @ApiModelProperty("位置编号(商户自定义)")
   private String placeNum;
   @ApiModelProperty("位置全称")
   private String placeFullName;
   @ApiModelProperty("人员类别")
   private Integer psnType;
   @ApiModelProperty("家庭地址")
   private String homeAddr;
   @ApiModelProperty("人员状态 1-正常 2-注销")
   private Integer custState;
   @ApiModelProperty("卡号")
   private Integer cardNum;
   @ApiModelProperty("卡序列号 物理卡号")
   private String serialNum;
   @ApiModelProperty("卡类型")
   private Integer cardType;
   @ApiModelProperty("三方人员编号")
   private String custThirdId;
   @ApiModelProperty("卡状态 1-正常 4-挂失")
   private Integer cardStatus;
   @ApiModelProperty("账户状态 1正常  2冻结  3销户")
   private Integer accStatus;
   @ApiModelProperty("支付宝签约号")
   private String alipayContractNum;
   @ApiModelProperty("预留字段1")
   private String reserved1;
   @ApiModelProperty("预留字段2")
   private String reserved2;
   @ApiModelProperty("预留字段3")
   private String reserved3;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss.SSS"
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   private String idtemporary;
   private Integer walletBal;
   private Integer subsidyBal;
   private Integer accBal;
   private Integer arrearsAmount;
   private Integer availableAccBal;

   public Long getId() {
      return this.id;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public Integer getCustLimitId() {
      return this.custLimitId;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public Integer getSex() {
      return this.sex;
   }

   public Integer getAge() {
      return this.age;
   }

   public LocalDate getBirthday() {
      return this.birthday;
   }

   public String getCustPhotoUrl() {
      return this.custPhotoUrl;
   }

   public Long getOrgId() {
      return this.orgId;
   }

   public String getOrgNum() {
      return this.orgNum;
   }

   public String getOrgFullName() {
      return this.orgFullName;
   }

   public Long getPlaceId() {
      return this.placeId;
   }

   public String getPlaceNum() {
      return this.placeNum;
   }

   public String getPlaceFullName() {
      return this.placeFullName;
   }

   public Integer getPsnType() {
      return this.psnType;
   }

   public String getHomeAddr() {
      return this.homeAddr;
   }

   public Integer getCustState() {
      return this.custState;
   }

   public Integer getCardNum() {
      return this.cardNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getCardType() {
      return this.cardType;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public Integer getCardStatus() {
      return this.cardStatus;
   }

   public Integer getAccStatus() {
      return this.accStatus;
   }

   public String getAlipayContractNum() {
      return this.alipayContractNum;
   }

   public String getReserved1() {
      return this.reserved1;
   }

   public String getReserved2() {
      return this.reserved2;
   }

   public String getReserved3() {
      return this.reserved3;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getIdtemporary() {
      return this.idtemporary;
   }

   public Integer getWalletBal() {
      return this.walletBal;
   }

   public Integer getSubsidyBal() {
      return this.subsidyBal;
   }

   public Integer getAccBal() {
      return this.accBal;
   }

   public Integer getArrearsAmount() {
      return this.arrearsAmount;
   }

   public Integer getAvailableAccBal() {
      return this.availableAccBal;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCustLimitId(final Integer custLimitId) {
      this.custLimitId = custLimitId;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setSex(final Integer sex) {
      this.sex = sex;
   }

   public void setAge(final Integer age) {
      this.age = age;
   }

   public void setBirthday(final LocalDate birthday) {
      this.birthday = birthday;
   }

   public void setCustPhotoUrl(final String custPhotoUrl) {
      this.custPhotoUrl = custPhotoUrl;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setOrgNum(final String orgNum) {
      this.orgNum = orgNum;
   }

   public void setOrgFullName(final String orgFullName) {
      this.orgFullName = orgFullName;
   }

   public void setPlaceId(final Long placeId) {
      this.placeId = placeId;
   }

   public void setPlaceNum(final String placeNum) {
      this.placeNum = placeNum;
   }

   public void setPlaceFullName(final String placeFullName) {
      this.placeFullName = placeFullName;
   }

   public void setPsnType(final Integer psnType) {
      this.psnType = psnType;
   }

   public void setHomeAddr(final String homeAddr) {
      this.homeAddr = homeAddr;
   }

   public void setCustState(final Integer custState) {
      this.custState = custState;
   }

   public void setCardNum(final Integer cardNum) {
      this.cardNum = cardNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCardType(final Integer cardType) {
      this.cardType = cardType;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setCardStatus(final Integer cardStatus) {
      this.cardStatus = cardStatus;
   }

   public void setAccStatus(final Integer accStatus) {
      this.accStatus = accStatus;
   }

   public void setAlipayContractNum(final String alipayContractNum) {
      this.alipayContractNum = alipayContractNum;
   }

   public void setReserved1(final String reserved1) {
      this.reserved1 = reserved1;
   }

   public void setReserved2(final String reserved2) {
      this.reserved2 = reserved2;
   }

   public void setReserved3(final String reserved3) {
      this.reserved3 = reserved3;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   @JsonFormat(
      pattern = "yyyy-MM-dd HH:mm:ss.SSS"
   )
   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setIdtemporary(final String idtemporary) {
      this.idtemporary = idtemporary;
   }

   public void setWalletBal(final Integer walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubsidyBal(final Integer subsidyBal) {
      this.subsidyBal = subsidyBal;
   }

   public void setAccBal(final Integer accBal) {
      this.accBal = accBal;
   }

   public void setArrearsAmount(final Integer arrearsAmount) {
      this.arrearsAmount = arrearsAmount;
   }

   public void setAvailableAccBal(final Integer availableAccBal) {
      this.availableAccBal = availableAccBal;
   }



}
